## Create a new TURN key `client.Calls.TURN.New(ctx, params) (*TURNNewResponse, error)` **post** `/accounts/{account_id}/calls/turn_keys` Creates a new Cloudflare Calls TURN key. ### Parameters - `params TURNNewParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `Name param.Field[string]` Body param: A short description of a TURN key, not shown to end users. ### Returns - `type TURNNewResponse struct{…}` - `Created Time` The date and time the item was created. - `Key string` Bearer token - `Modified Time` The date and time the item was last modified. - `Name string` A short description of a TURN key, not shown to end users. - `UID string` A Cloudflare-generated unique identifier for a item. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/calls" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) turn, err := client.Calls.TURN.New(context.TODO(), calls.TURNNewParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", turn.UID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created": "2014-01-02T02:20:00Z", "key": "66bcf64aa8907b9f9d90ac17746a77ce394c393b92b3916633dc02846e608ad4", "modified": "2014-01-02T02:20:00Z", "name": "my-turn-key", "uid": "2a95132c15732412d22c1476fa83f27a" } } ```